<?php
if ( !class_exists('Dolpa_Dashboard_Notice') ):

    class Dolpa_Dashboard_Notice
    {
        function __construct()
        {	
            global $pagenow;

        	if( $this->dolpa_show_hide_notice() ){

	            if( is_multisite() ){

                  add_action( 'network_admin_notices',array( $this,'dolpa_admin_notice' ) );

                } else {

                  add_action( 'admin_notices',array( $this,'dolpa_admin_notice' ) );
                }
	        }
	        add_action( 'wp_ajax_dolpa_notice_dismiss', array( $this, 'dolpa_notice_dismiss' ) );
			add_action( 'switch_theme', array( $this, 'dolpa_notice_clear_cache' ) );
        }
        
        public static function dolpa_show_hide_notice( $status = false ){

            if( $status ){

                if( (class_exists( 'Booster_Extension_Class' ) ) || get_option('twp_dolpa_admin_notice') ){

                    return false;

                }else{

                    return true;

                }

            }

            // Check If current Page 
            if ( isset( $_GET['page'] ) && $_GET['page'] == 'dolpa-about'  ) {
                return false;
            }

        	// Hide if dismiss notice
        	if( get_option('twp_dolpa_admin_notice') ){
				return false;
			}
        	// Hide if all plugin active
        	if ( class_exists( 'Booster_Extension_Class' )  && class_exists( 'Demo_Import_Kit_Class' )  && class_exists( 'Themeinwp_Import_Companion' ) ) {
				return false;
			}
			// Hide On TGMPA pages
			if ( ! empty( $_GET['tgmpa-nonce'] ) ) {
				return false;
			}
			// Hide if user can't access
        	if ( current_user_can( 'manage_options' ) ) {
				return true;
			}
			
        }

        // Define Global Value
        public static function dolpa_admin_notice(){

            ?>
            <div class="updated notice is-dismissible welcome-panel twp-dolpa-notice">

                <h3><?php esc_html_e('Quick Setup','dolpa'); ?></h3>

                <p><strong><?php esc_html_e('Dolpa is now installed and ready to use. Are you looking for a better experience to set up your site?','dolpa'); ?></strong></p>

                <small><?php esc_html_e("We've prepared a unique onboarding process through our",'dolpa'); ?> <a href="<?php echo esc_url( admin_url().'themes.php?page='.get_template().'-about') ?>"><?php esc_html_e('Getting started','dolpa'); ?></a> <?php esc_html_e("page. It helps you get started and configure your upcoming website with ease. Let's make it shine!",'dolpa'); ?></small>

                <p>
                    <a target="_blank" class="button button-primary button-primary-upgrade" href="<?php echo esc_url( 'https://www.themeinwp.com/theme/dolpa-pro/' ); ?>">
                        <span class="dashicons dashicons-thumbs-up"></span>
                        <span><?php esc_html_e('Upgrade to Pro','dolpa'); ?></span>
                    </a>

                    <a class="button button-secondary twp-install-active" href="javascript:void(0)">
                        <span class="dashicons dashicons-admin-plugins"></span>
                        <span><?php esc_html_e('Install and activate recommended plugins','dolpa'); ?></span>
                    </a>
                    <span class="quick-loader-wrapper"><span class="quick-loader"></span></span>

                    <a target="_blank" class="button button-secondary" href="<?php echo esc_url( 'https://www.themeinwp.com/dolpa/' ); ?>">
                        <span class="dashicons dashicons-welcome-view-site"></span>
                        <span><?php esc_html_e('View Demo','dolpa'); ?></span>
                    </a>

                    <a target="_blank" class="button button-primary" href="<?php echo esc_url('https://wordpress.org/support/theme/dolpa/reviews/?filter=5'); ?>">
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span><?php esc_html_e('Leave a review', 'dolpa'); ?></span>
                    </a>

                    <a class="btn-dismiss twp-custom-setup" href="javascript:void(0)"><?php esc_html_e('Dismiss this notice.','dolpa'); ?></a>

                </p>

            </div>

        <?php
        }

        public function dolpa_notice_dismiss(){

        	if ( isset( $_POST[ '_wpnonce' ] ) && wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST[ '_wpnonce' ] ) ), 'dolpa_ajax_nonce' ) ) {

	        	update_option('twp_dolpa_admin_notice','hide');

	        }

            die();

        }

        public function dolpa_notice_clear_cache(){

        	update_option('twp_dolpa_admin_notice','');

        }

    }
    new Dolpa_Dashboard_Notice();
endif;