<?php
/**
* Color Settings.
*
* @package Dolpa
*/

$dolpa_default = dolpa_get_default_theme_options();

$wp_customize->add_section( 'color_schema',
    array(
    'title'      => esc_html__( 'Color Schema', 'dolpa' ),
    'priority'   => 60,
    'capability' => 'edit_theme_options',
     'panel'      => 'theme_colors_panel',
    )
);

// Color Schema.
$wp_customize->add_setting(
    'dolpa_color_schema',
    array(
        'default'           => $dolpa_default['dolpa_color_schema'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_select'
    )
);
$wp_customize->add_control(
    new Dolpa_Custom_Radio_Color_Schema( 
        $wp_customize,
        'dolpa_color_schema',
        array(
            'settings'      => 'dolpa_color_schema',
            'section'       => 'color_schema',
            'label'         => esc_html__( 'Color Schema', 'dolpa' ),
            'choices'       => array(
                'default'  => array(
                    'color' => array(
                            $dolpa_default['default_bg_color'],
                            $dolpa_default['default_primary_color'],
                            $dolpa_default['default_secondary_color'],
                            $dolpa_default['default_tertiary_color'],
                        ),
                    'title' => esc_html__('Default','dolpa'),
                ),
                'fancy'  => array(
                    'color' => array(
                            $dolpa_default['fancy_bg_color'],
                            $dolpa_default['fancy_primary_color'],
                            $dolpa_default['fancy_secondary_color'],
                            $dolpa_default['fancy_tertiary_color'],
                        ),
                    'title' => esc_html__('Fancy','dolpa'),
                ),
                'dark'  => array(
                    'color' => array(
                            $dolpa_default['dark_bg_color'],
                            $dolpa_default['dark_primary_color'],
                            $dolpa_default['dark_secondary_color'],
                            $dolpa_default['dark_tertiary_color'],
                        ),
                    'title' => esc_html__('Dark','dolpa'),
                ),
                'shady'  => array(
                    'color' => array(
                            $dolpa_default['shady_bg_color'],
                            $dolpa_default['shady_primary_color'],
                            $dolpa_default['shady_secondary_color'],
                            $dolpa_default['shady_tertiary_color'],
                        ),
                    'title' => esc_html__('Shady','dolpa'),
                ),
            )
        )
    )
);

$wp_customize->add_setting(
    'dolpa_premium_notice_color_schema',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new Dolpa_Premium_Notice_Control( 
        $wp_customize,
        'dolpa_premium_notice_color_schema',
        array(
            'label'      => esc_html__( 'Color Schemes', 'dolpa' ),
            'settings' => 'dolpa_premium_notice_color_schema',
            'section'       => 'color_schema',
        )
    )
);


$wp_customize->add_setting(
    'dolpa_premium_notice_color',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new Dolpa_Premium_Notice_Control( 
        $wp_customize,
        'dolpa_premium_notice_color',
        array(
            'label'      => esc_html__( 'Color Options', 'dolpa' ),
            'settings' => 'dolpa_premium_notice_color',
            'section'       => 'colors',
        )
    )
);